Package org.eclipse.jdt.core.util

## Interface IAnnotationDefaultAttribute

All Superinterfaces:
  `IClassFileAttribute`

    public interface IAnnotationDefaultAttribute
    extends IClassFileAttribute

Description of a annotation default attribute as described in the JVM specifications (added in J2SE 1.5). This interface may be implemented by clients.

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods
`IAnnotationComponentValue` `getMemberValue()` Answer back the member value as described in the JVM specifications.

### Methods inherited from interface org.eclipse.jdt.core.util.IClassFileAttribute

`getAttributeLength, getAttributeName, getAttributeNameIndex`

### Method Detail

#### getMemberValue

    IAnnotationComponentValue getMemberValue()

Answer back the member value as described in the JVM specifications.

Returns:
  the member value